#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,l;
    int h[1010];
    cin>>n>>l;
    for(int i=0;i<n;i++)
    {
        cin>>h[i];
    }

    int rez = -1;
    for(int i=0;i<n;i++)
    {
        if(h[i]<=l)
        {
            rez = i+1;
            break;
        }
    }
    cout<<rez;
    return 0;
}